#include <stdarg.h>
#include <stddef.h>
#include <inttypes.h>

#include "emu.h"

/* --- do_div borrowed from linux --- */

#define do_div(n,base) ({                                      \
       uint32_t __base = (base);                               \
       uint32_t __rem;                                         \
       __rem = ((uint64_t)(n)) % __base;                       \
       (n) = ((uint64_t)(n)) / __base;                         \
       __rem;                                                  \
})

#include "printk.c"
